summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libe-book/libe-book.SlackBuild15
1 files changed, 11 insertions, 4 deletions
diff --git a/libraries/libe-book/libe-book.SlackBuild b/libraries/libe-book/libe-book.SlackBuild
index 6204e52c82..b05faeb7e0 100644
--- a/libraries/libe-book/libe-book.SlackBuild
+++ b/libraries/libe-book/libe-book.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libe-book
-# Copyright 2015, 2017-2018 Hunter Sezen California, USA
+# Copyright 2015, 2017-2018, 2020 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=libe-book
VERSION=${VERSION:-0.1.3}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -80,6 +80,13 @@ else
cppunit='--disable-tests'
fi
+# Fix build with icu4c-68.1
+# https://unicode-org.atlassian.net/browse/ICU-21267
+sed -i 's/TRUE/true/g' src/lib/EBOOKCharsetConverter.cpp
+
+autoreconf -fi
+
+CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -93,8 +100,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING ChangeLog NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION